Debian Bug report logs - #600129
xterm: segmentation fault with -fb and other options

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Friedrich Delgado <friedel@nomaden.org>

Date: Wed, 13 Oct 2010 20:27:07 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/261-1

Fixed in version xterm/264-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Wed, 13 Oct 2010 20:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Friedrich Delgado <friedel@nomaden.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 13 Oct 2010 20:27:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Friedrich Delgado <friedel@nomaden.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: segmentation fault with -fb and other options
Date: Wed, 13 Oct 2010 22:18:46 +0200
Package: xterm
Version: 261-1
Severity: normal

A segmentation fault in xterm with -fb has been mentioned on Bugtraq
and Full Disclosure.

http://lists.grok.org.uk/pipermail/full-disclosure/2010-September/076294.html

http://www.securityfocus.com/archive/1/514241/30/0/threaded

I have gdb backtrace and valgrind output for you.

If you suspect the bug might be present in current upstream sources
and you can't reproduce it, I could recompile xterm with debugging
symbols and re-test.

,----[ gdb --args xterm -fb `perl -e 'print "A"x4000'` ]
  Current directory is /home/fdf/
  GNU gdb (GDB) 7.0.1-debian
  Copyright (C) 2009 Free Software Foundation, Inc.
  License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
  This is free software: you are free to change and redistribute it.
  There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
  and "show warranty" for details.
  This GDB was configured as "x86_64-linux-gnu".
  For bug reporting instructions, please see:
  <http://www.gnu.org/software/gdb/bugs/>...
  Reading symbols from /usr/bin/xterm...(no debugging symbols found)...done.
  (gdb) r
  Starting program: /usr/bin/xterm -fb AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
  Warning: Cannot convert string "true" to type Int
  
  Program received signal SIGSEGV, Segmentation fault.
  0x00007ffff7229819 in *__GI___libc_free (mem=0x68d9c0) at malloc.c:3725
  3725  malloc.c: Datei oder Verzeichnis nicht gefunden.
    in malloc.c
  (gdb) bt
  #0  0x00007ffff7229819 in *__GI___libc_free (mem=0x68d9c0) at malloc.c:3725
  #1  0x000000000041ce40 in ?? ()
  #2  0x000000000041eb7a in ?? ()
  #3  0x000000000040f112 in ?? ()
  #4  0x00007ffff6a094e6 in RealizeWidget (widget=0x699e00) at ../../src/Intrinsic.c:306
  #5  0x00007ffff6a09636 in RealizeWidget (widget=0x6745e0) at ../../src/Intrinsic.c:355
  #6  0x00007ffff6a09930 in XtRealizeWidget (widget=0x6745e0) at ../../src/Intrinsic.c:385
  #7  0x0000000000412195 in ?? ()
  #8  0x0000000000423820 in ?? ()
  #9  0x00000000004256cc in ?? ()
  #10 0x00007ffff71d1c4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffffffd408) at libc-start.c:228
  #11 0x0000000000407689 in ?? ()
  #12 0x00007fffffffd408 in ?? ()
  #13 0x000000000000001c in ?? ()
  #14 0x0000000000000003 in ?? ()
  #15 0x00007fffffffd7b4 in ?? ()
  #16 0x0000000000000000 in ?? ()
  (gdb) bt full
  #0  0x00007ffff7229819 in *__GI___libc_free (mem=0x68d9c0) at malloc.c:3725
          ar_ptr = 0x7ffff750fe40
          p = 0x68d9b0
  #1  0x000000000041ce40 in ?? ()
  No symbol table info available.
  #2  0x000000000041eb7a in ?? ()
  No symbol table info available.
  #3  0x000000000040f112 in ?? ()
  No symbol table info available.
  #4  0x00007ffff6a094e6 in RealizeWidget (widget=0x699e00) at ../../src/Intrinsic.c:306
          value_mask = 10250
          values = {background_pixmap = 0, background_pixel = 12171724, border_pixmap = 2485184, border_pixel = 0, bit_gravity = 6738992, win_gravity = 0, backing_store = -157084324, backing_planes = 140737330929664, backing_pixel = 140737351959538, save_under = 1, event_mask = 4359439, do_not_propagate_mask = 140737331271004, override_redirect = -157401000, colormap = 32, cursor = 6883440}
          realize = 0x40f0b0
          window = <value optimized out>
          display = 0x66d430
          class_name = 0x4455f8 "VT100"
          hookobj = <value optimized out>
  #5  0x00007ffff6a09636 in RealizeWidget (widget=0x6745e0) at ../../src/Intrinsic.c:355
          i = 0
          children = 0x690910
          value_mask = 10266
          values = {background_pixmap = 0, background_pixel = 12171724, border_pixmap = 6921728, border_pixel = 0, bit_gravity = 1, win_gravity = 0, backing_store = 0, backing_planes = 0, backing_pixel = 140737331014774, save_under = 6883440, event_mask = 6422576, do_not_propagate_mask = 6953120, override_redirect = -157245247, colormap = 32, cursor = 6814848}
          realize = <value optimized out>
          window = 39845901
          display = 0x66d430
          class_name = 0x7ffff6a3155c "SessionShell"
          hookobj = <value optimized out>
  #6  0x00007ffff6a09930 in XtRealizeWidget (widget=0x6745e0) at ../../src/Intrinsic.c:385
          app = 0x0
  #7  0x0000000000412195 in ?? ()
  No symbol table info available.
  #8  0x0000000000423820 in ?? ()
  No symbol table info available.
  #9  0x00000000004256cc in ?? ()
  No symbol table info available.
  #10 0x00007ffff71d1c4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffffffd408) at libc-start.c:228
          result = <value optimized out>
          unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 3094844447100213865, 4224608, 140737488344080, 0, 0, -3094844448585049495, -3094827700067526039}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x43f7f0, 0x7fffffffd418}, data = {prev = 0x0, cleanup = 0x0, canceltype = 4454384}}}
          not_first_call = <value optimized out>
  #11 0x0000000000407689 in ?? ()
  No symbol table info available.
  #12 0x00007fffffffd408 in ?? ()
  No symbol table info available.
  #13 0x000000000000001c in ?? ()
  No symbol table info available.
  #14 0x0000000000000003 in ?? ()
  No symbol table info available.
  #15 0x00007fffffffd7b4 in ?? ()
  No symbol table info available.
  #16 0x0000000000000000 in ?? ()
  No symbol table info available.
  (gdb) 
`----

,----[ valgrind xterm -fb `perl -e 'print "A"x4000'` ]
  ==19946== Memcheck, a memory error detector
  ==19946== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
  ==19946== Using Valgrind-3.6.0.SVN-Debian and LibVEX; rerun with -h for copyright info
  ==19946== Command: xterm -fb AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
  ==19946== 
  Warning: Cannot convert string "true" to type Int
  ==19946== Invalid free() / delete / delete[]
  ==19946==    at 0x4C240FD: free (vg_replace_malloc.c:366)
  ==19946==    by 0x41CE3F: ??? (in /usr/bin/xterm)
  ==19946==    by 0x41EB79: ??? (in /usr/bin/xterm)
  ==19946==    by 0x40F111: ??? (in /usr/bin/xterm)
  ==19946==    by 0x5FF14E5: RealizeWidget (Intrinsic.c:306)
  ==19946==    by 0x5FF1635: RealizeWidget (Intrinsic.c:355)
  ==19946==    by 0x5FF192F: XtRealizeWidget (Intrinsic.c:385)
  ==19946==    by 0x412194: ??? (in /usr/bin/xterm)
  ==19946==    by 0x42381F: ??? (in /usr/bin/xterm)
  ==19946==    by 0x4256CB: ??? (in /usr/bin/xterm)
  ==19946==    by 0x5712C4C: (below main) (libc-start.c:228)
  ==19946==  Address 0x7fe8c90 is 16 bytes inside a block of size 4,017 alloc'd
  ==19946==    at 0x4C244E8: malloc (vg_replace_malloc.c:236)
  ==19946==    by 0x5CD6F8A: PutEntry (Xrm.c:957)
  ==19946==    by 0x5CD84AD: XrmQPutStringResource (Xrm.c:1053)
  ==19946==    by 0x5CC1ACD: XrmParseCommand (ParseCmd.c:174)
  ==19946==    by 0x5FEEEAE: _XtDisplayInitialize (Initialize.c:884)
  ==19946==    by 0x5FE614B: XtOpenDisplay (Display.c:286)
  ==19946==    by 0x5FE6339: _XtAppInit (Display.c:331)
  ==19946==    by 0x5FEF427: XtOpenApplication (Initialize.c:989)
  ==19946==    by 0x424FCE: ??? (in /usr/bin/xterm)
  ==19946==    by 0x5712C4C: (below main) (libc-start.c:228)
  ==19946== 
  ==19946== 
  ==19946== HEAP SUMMARY:
  ==19946==     in use at exit: 3,699,997 bytes in 3,682 blocks
  ==19946==   total heap usage: 17,901 allocs, 14,220 frees, 13,452,717 bytes allocated
  ==19946== 
  ==19946== LEAK SUMMARY:
  ==19946==    definitely lost: 3,128 bytes in 18 blocks
  ==19946==    indirectly lost: 6,144 bytes in 85 blocks
  ==19946==      possibly lost: 34,677 bytes in 365 blocks
  ==19946==    still reachable: 3,656,048 bytes in 3,214 blocks
  ==19946==         suppressed: 0 bytes in 0 blocks
  ==19946== Rerun with --leak-check=full to see details of leaked memory
  ==19946== 
  ==19946== For counts of detected and suppressed errors, rerun with: -v
  ==19946== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 4 from 4)
`----


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'karmic'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-4 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information

-- 
Dipl.-Inform. Friedrich Delgado <delgado@pre-sense.de>
PRESENSE Technologies GmbH, USt-IdNr.: DE263765024, AG Hamburg, HRB 107844
Sachsenstr. 5, 20097 Hamburg,          Geschäftsführer/Managing Directors:
Till Dörges                  Jürgen Sander                  Axel Theilmann




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Wed, 13 Oct 2010 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 13 Oct 2010 23:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Friedrich Delgado <friedel@nomaden.org>, 600129@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#600129: xterm: segmentation fault with -fb and other options
Date: Wed, 13 Oct 2010 19:37:17 -0400 (EDT)
On Wed, 13 Oct 2010, Friedrich Delgado wrote:

> Package: xterm
> Version: 261-1
> Severity: normal
>
> A segmentation fault in xterm with -fb has been mentioned on Bugtraq
> and Full Disclosure.
>
> http://lists.grok.org.uk/pipermail/full-disclosure/2010-September/076294.html

It's a shame, but your report there is inaccurate (it's not a buffer 
overflow).  There's enough information in your report here to see the
problem.

awai

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Thu, 14 Oct 2010 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Oct 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Dickey <dickey@his.com>, 600129@bugs.debian.org
Cc: Friedrich Delgado <friedel@nomaden.org>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#600129: xterm: segmentation fault with -fb and other options
Date: Wed, 13 Oct 2010 19:56:37 -0400 (EDT)
On Wed, 13 Oct 2010, Thomas Dickey wrote:

> On Wed, 13 Oct 2010, Friedrich Delgado wrote:
>
>> Package: xterm
>> Version: 261-1
>> Severity: normal
>> 
>> A segmentation fault in xterm with -fb has been mentioned on Bugtraq
>> and Full Disclosure.
>> 
>> http://lists.grok.org.uk/pipermail/full-disclosure/2010-September/076294.html
>
> It's a shame, but your report there is inaccurate (it's not a buffer 
> overflow).  There's enough information in your report here to see the
> problem.

hmm - I see the "credit" is claimed by Celil Unuver from 
SecurityArchitect.Org (the report's inaccurate in any case).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Thu, 14 Oct 2010 01:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Oct 2010 01:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 600129@bugs.debian.org
Cc: 600129-submitter@bugs.debian.org
Subject: re: #600129 xterm: segmentation fault with -fb and other options
Date: Wed, 13 Oct 2010 21:03:45 -0400
[Message part 1 (text/plain, inline)]
This is fixed in #263.

Actually, the bug is not noticeable on my machines unless using valgrind.
If it weren't for the incorrect report, I'd have continued on #588785.

later.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Friedrich Delgado <friedel@nomaden.org>:
Bug#600129. (Thu, 14 Oct 2010 01:09:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 14 Oct 2010 01:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Thu, 14 Oct 2010 09:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Oct 2010 09:45:07 GMT) Full text and rfc822 format available.

Message #30 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Friedrich Delgado <friedel@nomaden.org>
Cc: 600129@bugs.debian.org
Subject: Re: Bug#600129: #600129 xterm: segmentation fault with -fb and other options
Date: Thu, 14 Oct 2010 05:40:37 -0400 (EDT)
On Thu, 14 Oct 2010, Friedrich Delgado wrote:

>
> Yes, I didn't write either one of the original reports.
>
> I also very much doubt that this is exploitable, that's why I thought
> severity "normal" was appropriate.
>
> Thomas Dickey schrieb:
>> This is fixed in #263.
>
> Good to know, thanks!

no problem (I'm subscribed to bugtraq, but didn't see it there for 
whatever reason).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Thu, 14 Oct 2010 09:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Friedrich Delgado <friedel@nomaden.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Oct 2010 09:48:05 GMT) Full text and rfc822 format available.

Message #35 received at 600129@bugs.debian.org (full text, mbox):

From: Friedrich Delgado <friedel@nomaden.org>
To: dickey@his.com
Cc: 600129@bugs.debian.org
Subject: Re: Bug#600129: #600129 xterm: segmentation fault with -fb and other options
Date: Thu, 14 Oct 2010 11:37:49 +0200
Yes, I didn't write either one of the original reports.

I also very much doubt that this is exploitable, that's why I thought
severity "normal" was appropriate.

Thomas Dickey schrieb:
> This is fixed in #263.

Good to know, thanks!

> Actually, the bug is not noticeable on my machines unless using valgrind.
> If it weren't for the incorrect report, I'd have continued on #588785.


-- 
        Friedrich Delgado <friedel@nomaden.org>
                             TauPan on Ircnet and Freenode ;)




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Thu, 14 Oct 2010 23:33:07 GMT) Full text and rfc822 format available.

Notification sent to Friedrich Delgado <friedel@nomaden.org>:
Bug acknowledged by developer. (Thu, 14 Oct 2010 23:33:07 GMT) Full text and rfc822 format available.

Message #40 received at 600129-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 600129-close@bugs.debian.org
Subject: Bug#600129: fixed in xterm 264-1
Date: Thu, 14 Oct 2010 23:28:16 +0000
Source: xterm
Source-Version: 264-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_264-1.diff.gz
  to main/x/xterm/xterm_264-1.diff.gz
xterm_264-1.dsc
  to main/x/xterm/xterm_264-1.dsc
xterm_264-1_amd64.deb
  to main/x/xterm/xterm_264-1_amd64.deb
xterm_264.orig.tar.gz
  to main/x/xterm/xterm_264.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Oct 2010 23:53:57 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 264-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 591265 594856 600129
Changes: 
 xterm (264-1) unstable; urgency=low
 .
   * New upstream release:
     + Fix active-icon in specific cases (Closes: #591265).
     + Fix pointer visibility issues (Closes: #594856).
     + Fix segmentation fault with -fb and other options (Closes: #600129).
   * Add myself to Uploaders.
Checksums-Sha1: 
 b176c5d754b88928fda530efd381752fea75b208 1343 xterm_264-1.dsc
 1291a8b931394138c684f72923381a6b20d34f7d 935255 xterm_264.orig.tar.gz
 e25a168d63b93a3fc6ce0d9fd7c7737ab9e71352 81562 xterm_264-1.diff.gz
 1186180c27057392edc207f6950ed35acc06ba53 556562 xterm_264-1_amd64.deb
Checksums-Sha256: 
 289867c7987796a4a914c96cd7cd7d040b787ce5e29bfbdb7eb5b632b050d9e2 1343 xterm_264-1.dsc
 8d7a7679969ea4a95b3a625c815115c936817b829625d770eddfd3997d5803cd 935255 xterm_264.orig.tar.gz
 c90e1193e43eee6092f5b925e6cf7fc292ec2d9543b7066a3b7dcb71db91522c 81562 xterm_264-1.diff.gz
 9a048b2d88fbfc636e80a9c9dc47fadfb5b2ee90ef800000173e0872b110561e 556562 xterm_264-1_amd64.deb
Files: 
 2485173fddc0c1a54ff5d29868e5751c 1343 x11 optional xterm_264-1.dsc
 05a77528f51501b62d4acac8b781c05d 935255 x11 optional xterm_264.orig.tar.gz
 a10de95590699dafd106a985f74cd09b 81562 x11 optional xterm_264-1.diff.gz
 8786d597334c14b1c10973925858eb37 556562 x11 optional xterm_264-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky3fZoACgkQeGfVPHR5Nd3IAQCePDyBXdBgQ7qSHykrDYTtawCv
B8UAnjPQUs/9egtbXLijyWJGOZHJbeVk
=rgtL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Tue, 19 Oct 2010 13:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 19 Oct 2010 13:18:05 GMT) Full text and rfc822 format available.

Message #45 received at 600129@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Cyril Brulebois <kibi@debian.org>
Cc: 600129@bugs.debian.org
Subject: Re: Bug#600129: fixed in xterm 264-1
Date: Tue, 19 Oct 2010 15:14:18 +0200
On 2010-10-14 23:28:16 +0000, Cyril Brulebois wrote:
> Changes: 
>  xterm (264-1) unstable; urgency=low
>  .
>    * New upstream release:
>      + Fix active-icon in specific cases (Closes: #591265).
>      + Fix pointer visibility issues (Closes: #594856).
>      + Fix segmentation fault with -fb and other options (Closes: #600129).

This is inaccurate. The fix has also changed the bold font here
(i.e. it looks different).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Thu, 21 Oct 2010 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 21 Oct 2010 23:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 600129@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#600129: fixed in xterm 264-1
Date: Thu, 21 Oct 2010 19:18:38 -0400
[Message part 1 (text/plain, inline)]
On Tue, Oct 19, 2010 at 03:14:18PM +0200, Vincent Lefevre wrote:
> On 2010-10-14 23:28:16 +0000, Cyril Brulebois wrote:
> > Changes: 
> >  xterm (264-1) unstable; urgency=low
> >  .
> >    * New upstream release:
> >      + Fix active-icon in specific cases (Closes: #591265).
> >      + Fix pointer visibility issues (Closes: #594856).
> >      + Fix segmentation fault with -fb and other options (Closes: #600129).
> 
> This is inaccurate. The fix has also changed the bold font here
> (i.e. it looks different).

I checked the updated program with valgrind, see no problems.
Your comment states two things:

	a) you're seeing either a core dump or other reproducible issue.
	b) the resulting font differs.

However, there's no details given beyond the bare statement.

awai

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Fri, 22 Oct 2010 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Oct 2010 07:27:03 GMT) Full text and rfc822 format available.

Message #55 received at 600129@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 600129@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#600129: fixed in xterm 264-1
Date: Fri, 22 Oct 2010 09:22:44 +0200
On 2010-10-21 19:18:38 -0400, Thomas Dickey wrote:
> On Tue, Oct 19, 2010 at 03:14:18PM +0200, Vincent Lefevre wrote:
> > On 2010-10-14 23:28:16 +0000, Cyril Brulebois wrote:
> > > Changes: 
> > >  xterm (264-1) unstable; urgency=low
> > >  .
> > >    * New upstream release:
> > >      + Fix active-icon in specific cases (Closes: #591265).
> > >      + Fix pointer visibility issues (Closes: #594856).
> > >      + Fix segmentation fault with -fb and other options (Closes: #600129).
> > 
> > This is inaccurate. The fix has also changed the bold font here
> > (i.e. it looks different).
> 
> I checked the updated program with valgrind, see no problems.
> Your comment states two things:
> 
> 	a) you're seeing either a core dump or other reproducible issue.
> 	b) the resulting font differs.
> 
> However, there's no details given beyond the bare statement.

I've reported bug 600707 about the bold font change:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600707

This is really a change that has been introduced in xterm 264-1
(xterm 261-1 is OK).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600129; Package xterm. (Fri, 22 Oct 2010 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Oct 2010 09:27:06 GMT) Full text and rfc822 format available.

Message #60 received at 600129@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 600129@bugs.debian.org, 600707@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#600129: fixed in xterm 264-1
Date: Fri, 22 Oct 2010 05:21:37 -0400 (EDT)
On Fri, 22 Oct 2010, Vincent Lefevre wrote:

> On 2010-10-21 19:18:38 -0400, Thomas Dickey wrote:
>> On Tue, Oct 19, 2010 at 03:14:18PM +0200, Vincent Lefevre wrote:
>>> On 2010-10-14 23:28:16 +0000, Cyril Brulebois wrote:
>>>> Changes:
>>>>  xterm (264-1) unstable; urgency=low
>>>>  .
>>>>    * New upstream release:
>>>>      + Fix active-icon in specific cases (Closes: #591265).
>>>>      + Fix pointer visibility issues (Closes: #594856).
>>>>      + Fix segmentation fault with -fb and other options (Closes: #600129).
>>>
>>> This is inaccurate. The fix has also changed the bold font here
>>> (i.e. it looks different).
>>
>> I checked the updated program with valgrind, see no problems.
>> Your comment states two things:
>>
>> 	a) you're seeing either a core dump or other reproducible issue.
>> 	b) the resulting font differs.
>>
>> However, there's no details given beyond the bare statement.
>
> I've reported bug 600707 about the bold font change:
>
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600707

thanks - my debug trace comparing with #262 showed that I missed at least 
one place in adjusting pointer-checks on the resource strings (needed 
since they're "always" nonnull now).

There's an updated patch in ftp://invisible-island.net/temp/
(this bug modifies fontutils.c).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:29:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:23:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.